--[[
    MyRolePlay 4 (C) 2010-2022 Etarna Moonshyne <etarna@moonshyne.org>, Katorie, Meorawr
    Licensed under GNU General Public Licence version 2 or, at your option, any later version

    ID.lua - A list of users to specially identify i.e. debug/beta/dev users
]]

local L = mrp.L

-- Each GUID is a table containing keys realm, text, icon. These will be formatted in UI_Tooltip.lua.
local ICON_DEVELOPER = CreateAtlasMarkup("groupfinder-icon-leader", 17, 12);
local ICON_ASSISTANT = CreateTextureMarkup([[Interface\AddOns\MyRolePlay\Artwork\devcrown-silver]], 16, 16, 17, 12, 0, 0.8125, 0, 0.5625, 0, 0);

mrp.id = {
    -- Mainline/Retail
	
		-- North American Realms --

    ["Player-3675-06C390B1"] = { -- Katorie
        realm = "Moon Guard",
        text = L["|cfffb3244M|r|cffed1868y|r|cffb601b3R|r|cff9106d3o|r|cff6b16ecl|r|cff472ffae|r|cff2850feP|r|cff1175f7l|r|cff039be5a|r|cff01becay |r|cff0adca8L|r|cff1df283e|r|cff3afd5da|r|cff5cfd3ad |r|cff82f21eD|r|cffc9bf01e|r|cffe49c03v|r|cfff77610e|r|cfffe5127l|r|cfffb3046o|r|cffec166ap|r|cffd40690e|r|cffb401b5r|r"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },

    ["Player-3675-08185F8D"] = { -- Mystra
        realm = "Moon Guard",
        text = L["MyRolePlay Contributor"],
        icon = ICON_ASSISTANT,
        project = WOW_PROJECT_MAINLINE,
    },

    ["Player-3675-08728809"] = { -- Laurna (Meorawr)
        realm = "Moon Guard",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },
	
		-- European Realms --

    ["Player-3702-0620D165"] = { -- Etarna (Etarna Moonshyne)
        realm = "Argent Dawn",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },

    ["Player-3702-061DACE6"] = { -- Dulcamara (Etarna Moonshyne)
        realm = "Argent Dawn",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },

    ["Player-3702-0626211B"] = { -- Sylandru (Etarna Moonshyne)
        realm = "Argent Dawn",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },

    ["Player-3702-061DE226"] = { -- Mimetia (Etarna Moonshyne)
        realm = "Argent Dawn",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_MAINLINE,
    },
	
		-- European Realms --
	
    ["Player-4678-012B667C"] = {
        realm = "Hydraxian Waterlords",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },
	
	["Player-4728-03DB10A5"] = {
        realm = "Benediction",
        text = L["|cfffb3244M|r|cffed1868y|r|cffb601b3R|r|cff9106d3o|r|cff6b16ecl|r|cff472ffae|r|cff2850feP|r|cff1175f7l|r|cff039be5a|r|cff01becay |r|cff0adca8L|r|cff1df283e|r|cff3afd5da|r|cff5cfd3ad |r|cff82f21eD|r|cffc9bf01e|r|cffe49c03v|r|cfff77610e|r|cfffe5127l|r|cfffb3046o|r|cffec166ap|r|cffd40690e|r|cffb401b5r|r"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },
	
	["Player-4728-03EAF984"] = {
        realm = "Benediction",
        text = L["MyRolePlay Contributor"],
        icon = ICON_ASSISTANT,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },

    ["Player-4678-0006FCE5"] = { -- Etarna (Etarna Moonshyne)
        realm = "Hydraxian Waterlords",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },

    ["Player-4678-0006CD68"] = { -- Elandru (Etarna Moonshyne)
        realm = "Hydraxian Waterlords",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },

    ["Player-4678-0007E509"] = { -- Dulcamara (Etarna Moonshyne)
        realm = "Hydraxian Waterlords",
        text = L["MyRolePlay Developer"],
        icon = ICON_DEVELOPER,
        project = WOW_PROJECT_WRATH_CLASSIC,
    },
}
